Peplink Portal Docs
Starlink Accounts

Create a Starlink Account

Create a Starlink account.

Required Capabilities

Starlink Manager

Request

POST/starlink/accounts

Body parameters

countryCodestringrequired

2-character country code for the Starlink account.

businessNamestringrequired

Business name of the Starlink account.

firstNamestringrequired

First name of the authorized representative (initial contact) for this Starlink account.

lastNamestringrequired

Last name of the authorized representative (initial contact) for this Starlink account.

emailstringrequired

Email address of the authorized representative (initial contact) for this Starlink account.

phonestringrequired

Phone number of the authorized representative (initial contact) in E.164 format (e.g. +12025550123).

Response

A json is returned in the response body with the following fields:

refIdstring

Reference ID of the Starlink account.

businessNamestring

Business name of the Starlink account.

countryCodestring

Country code of the Starlink account.

initialContactobject

Initial contact of the starlink account. It is the authorized representative when you create this starlink account.

Show child attributes
initialContact.firstNamestring

First name of the initial contact.

initialContact.lastNamestring

Last name of the initial contact.

initialContact.emailstring

Email of the initial contact.

initialContact.phonestring

Phone number of the initial contact.

statusenum

Status of the Starlink account.

  • INITIALIZING — The account is initializing and system is syncing with Starlink.
  • PENDING_LOA — Awaiting Authorized Representative to sign the LOA in the Starlink Dashboard.
  • PENDING_STARLINK_REVIEW — Awaiting Starlink to review the account.
  • ACTIVE — Account is active and fully operational.
  • TERMINATED — Account is terminated and service has been permanently stopped.
starlinkAccountNumbernullable string

Starlink account number of the Starlink account. null if not applicable.

starlinkSyncobject

Starlink sync information of the account.

Show child attributes
starlinkSync.syncStatusnullable enum

The sync status of the account. null if not applicable.

  • PENDING — The sync is pending.
  • ABORTED — The sync has been aborted.
  • SYNCING — The sync is in progress.
  • SYNCED — The sync has completed.
starlinkSync.runCountnumber

The number of times the account sync has been run.

starlinkSync.runCountLimitnumber

The maximum number of times the account sync can be run.

starlinkSync.lastSyncedAtnullable datetime string

The last time the account was synced. null if not applicable.

createdAtdatetime string

Date and time the account was created.

createdBystring

Username of the user who created the account.

createdByEmailnullable string

Email of the user who created the account. null if not applicable.

updatedAtdatetime string

Date and time the account was last updated.

updatedBystring

Username of the user who last updated the account.

updatedByEmailnullable string

Email of the user who last updated the account. null if not applicable.

400 Request is invalid

No Starlink account is created as the request is invalid.

Check the response body for the error details.

Examples

Request

curl -X POST 'https://portal.peplink.com/api/e/v1/cp/starlink/accounts' \  -H 'Authorization: Bearer {token}' \  -H 'Content-Type: application/json' \  --data-raw  '{"countryCode": "US","businessName": "ABCDE Inc.","firstName": "Alice","lastName": "C","email": "[email protected]","phone": "+12025550123"}'

Response

{
  "refId": "108",
  "businessName": "ABCDE Inc.",
  "countryCode": "US",
  "initialContact": {
    "firstName": "Alice",
    "lastName": "C",
    "email": "[email protected]",
    "phone": "+12025550123"
  },
  "status": "PENDING_LOA",
  "starlinkAccountNumber": null,
  "starlinkSync": {
    "syncStatus": "SYNCED",
    "runCount": 0,
    "runCountLimit": 10,
    "lastSyncedAt": "2026-03-01T07:13:50.828Z"
  },
  "createdAt": "2026-03-31T12:00:00.000Z",
  "createdBy": "Alice C",
  "createdByEmail": "[email protected]",
  "updatedAt": "2026-03-31T12:00:00.000Z",
  "updatedBy": "Alice C",
  "updatedByEmail": "[email protected]"
}

On this page